﻿@model IEnumerable<MvcWebsiteOcc.Areas.administrators.Models.NewsCategory>

<select class="select" name="NewCatID" style="width: 100%">
    <option value="">Chọn chuyên mục</option>
    @{ for (int i = 1; i < 3; i++)
       {
           if (i == 1)
           {
        <optgroup label="Tin bài">
            @foreach (var item in Model)
            {
                if (item.ParentID == 0 && item.TID == 1)
                {
                    if (ViewBag.NewsCateID == item.NewCatID)
                    {
                <option selected="selected" value="@item.NewCatID">@item.NewsCatName</option> 
                    }
                    else
                    {
                <option  value="@item.NewCatID">@item.NewsCatName</option> 
                    }
                    var sub = Model.Where(p => p.ParentID == item.NewCatID).ToList();
                    if (sub.Count() > 0)
                    {
                        foreach (var sitem in sub)
                        {

                            if (ViewBag.NewsCateID == sitem.NewCatID)
                            {
                <option selected="selected" value="@sitem.NewCatID">-- @sitem.NewsCatName</option>
                            }
                            else
                            {
                <option value="@sitem.NewCatID">-- @sitem.NewsCatName</option>
                            }
                        }
                    }
                }

            }
        </optgroup>
           }
           else
           {
        <optgroup label="Clip, Video">
            @foreach (var item in Model)
            {
                if (item.ParentID == 0 && item.TID == 2)
                {
                    if (ViewBag.NewsCateID == item.NewCatID)
                    {
                <option selected="selected" value="@item.NewCatID">@item.NewsCatName</option> 
                    }
                    else
                    {
                <option  value="@item.NewCatID">@item.NewsCatName</option> 
                    }
                    var sub = Model.Where(p => p.ParentID == item.NewCatID).ToList();
                    if (sub.Count() > 0)
                    {
                        foreach (var sitem in sub)
                        {

                            if (ViewBag.NewsCateID == sitem.NewCatID)
                            {
                <option selected="selected" value="@sitem.NewCatID">-- @sitem.NewsCatName</option>
                            }
                            else
                            {
                <option value="@sitem.NewCatID">-- @sitem.NewsCatName</option>
                            }
                        }
                    }
                }

            }
        </optgroup>
           }

       }
    }


</select>